Bug 42194 - [IVB/SNB] coldplug new monitors for fbcon on lastclose()
Summary: [IVB/SNB] coldplug new monitors for fbcon on lastclose()
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: low normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-25 02:06 UTC by Guang Yang
Modified: 2017-10-06 14:51 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg.txt is the bug's dmesg information (22.19 KB, text/plain)
2011-10-25 02:06 UTC, Guang Yang
no flags Details
Run deferred hotplug events (1.61 KB, patch)
2012-04-19 15:30 UTC, Chris Wilson
no flags Details | Splinter Review
dmesg with patch (123.34 KB, text/plain)
2012-04-24 19:44 UTC, Guang Yang
no flags Details
DP and HDMI cold plug dmesg (1.19 MB, text/plain)
2012-10-18 10:12 UTC, shui yangwei
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guang Yang 2011-10-25 02:06:26 UTC
Created attachment 52730 [details]
dmesg.txt is the bug's dmesg information

System Environment:
--------------------------
Platform:        IvyBridge/SandyBridge
Kernel: (drm-intel-next)82d165557ef094d4b4dfc05871aee618ec7102b0

Bug detailed description:
-------------------------
while running testdisplay tool such as " testdisplay -a" with a monitor,then I plug in another monitor,the second screen can't come up after "testdisplay -a" finished.
Comment 1 Chris Wilson 2012-04-19 15:23:20 UTC
Hmm, right we only restore the previous fbcon on lastclose(). To fix this we need to do a complete rescan.
Comment 2 Chris Wilson 2012-04-19 15:24:53 UTC
In fact this seems like it should be handled by fb_helper->delayed_hotplug?
Comment 3 Chris Wilson 2012-04-19 15:30:29 UTC
Created attachment 60342 [details] [review]
Run deferred hotplug events
Comment 4 Guang Yang 2012-04-24 19:44:48 UTC
Created attachment 60549 [details]
dmesg with patch

(In reply to comment #3)
> Created attachment 60342 [details] [review] [review]
> Run deferred hotplug events
I have try the patch  with kernel of -queued branch which commit is:
Kernel: (drm-intel-next-queued)eea7d92bdb47727dfaf5f148f6ea72e9a1cffaf1
When I boot the system with a VGA monitor and run testdisplay -a ,the same times pluging in DP monitor,after running testdisplay the DP screen still can't light up.
Comment 5 Guang Yang 2012-05-08 23:07:31 UTC
I try the new QA testing cycle with 
Kernel: (drm-intel-testing)25fcc53b96dd4801907d9b1cc4b76258ab0f3d65
the issue still occurs.
Comment 6 Daniel Vetter 2012-06-20 01:30:01 UTC
Quick question: Does this only happen with a DP monitor, or also with HDMI/DVI? Also, does the DP display correctly light up when running testdisplay?
Comment 7 Guang Yang 2012-06-20 01:36:55 UTC
(In reply to comment #6)
> Quick question: Does this only happen with a DP monitor, or also with HDMI/DVI?
> Also, does the DP display correctly light up when running testdisplay?
This occurs with DP,HDMI/DVI,VGA monitor, they all can light up while running testdiplay ,but turn to be black after testdisplay finished.
Comment 8 shui yangwei 2012-10-18 10:08:43 UTC
Kernel: (drm-intel-testing)6760818aad5622d7f20d7f1c45d75a8165aeaf24

Issue also exist.
Test on IvyBridge(x-ivb4):
    First plug DP---->second plug HDMI, after display -a, all can light up.
    First plug HDMI---->second plug DP, after display -a, DP failed light up.
Comment 9 shui yangwei 2012-10-18 10:12:51 UTC
Created attachment 68754 [details]
DP and HDMI cold plug dmesg
Comment 10 Daniel Vetter 2013-03-20 11:45:55 UTC
Is this still an issue with latest drm-intel-nightly? A lot of things happened in the fbcon drm layer, so worth a shot to retest.
Comment 11 shui yangwei 2013-03-21 03:45:37 UTC
(In reply to comment #10)
> Is this still an issue with latest drm-intel-nightly? A lot of things
> happened in the fbcon drm layer, so worth a shot to retest.

This issue also exists.
reproduce step:
------------------------------
First plug HDMI---> running testdisplay -a ---->then plug DP, when testdisplay finished, DP failed light up.
First plug DP---->running testdisplay -a ---->then plug HDMI, after testdisplay finished, HDMI failed light up.

re-plug unlighted pipe, both can light up.
Comment 12 Daniel Vetter 2013-08-06 06:46:48 UTC
Can you please retest with latest igt and kernels? I still don't understand really why this doesn't work, but worth a shot to retest ...
Comment 13 Guang Yang 2013-08-07 04:29:17 UTC
(In reply to comment #12)
> Can you please retest with latest igt and kernels? I still don't understand
> really why this doesn't work, but worth a shot to retest ...
I try with the latest igt and -nightly kernel, the issue is gone, so I think we can close this bug.
Comment 14 Guang Yang 2013-08-07 08:39:49 UTC
verified for the issue is gone.
Comment 15 Elizabeth 2017-10-06 14:51:36 UTC
Closing old verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.